MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002106VCMIMechanics - Adventure Mappublic2015-02-22 02:432016-01-27 18:29
ReporterSXX 
Assigned Tovmarkovtsev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.97b 
Target VersionFixed in Version0.98g 
Summary0002106: Grail: if map have only one obelisk it's doesn't uncover whole puzzle map
DescriptionIn H3 no matter how many obelisks on map whole puzzle map can be always uncovered after you visit them.
TagsNo tags attached.
Attached Files? file icon grail1.h3m [^] (8,451 bytes) 2016-01-27 18:27
? file icon grail2.h3m [^] (8,476 bytes) 2016-01-27 18:28

- Relationships
related to 0002286closedvmarkovtsev Obelisk don't open map. These saves 
related to 0002062resolvedvmarkovtsev Alliances: puzzle map should be shared within team 
related to 0002388resolvedvmarkovtsev Obelisks don't reveal puzzle map at all 

-  Notes
(0006285)
Warmonger (administrator)
2016-01-15 18:07

Side proposal for RMG:

In OH3 up to 48 Obelisks can be present on the map. It is current behavior of RMG.
In real situations it's never possible to visit all these obelisks before game ends.

My proposal:
RMG can generate unlimited number of Obelisks, but full map is uncovered as soon as 48 Obelisks are visited. Could work especially on maps bigger than XL.
(0006289)
SXX (administrator)
2016-01-15 22:00

Nice idea, but then you need at least some limit to not generate too many of them on small maps.
(0006372)
SXX (administrator)
2016-01-27 18:29

Tested. Resolved by that branch:
https://github.com/vcmi/vcmi/pull/160 [^]

- Issue History
Date Modified Username Field Change
2015-02-22 02:43 SXX New Issue
2016-01-15 17:59 SXX Relationship added related to 0002062
2016-01-15 18:07 Warmonger Note Added: 0006285
2016-01-15 22:00 SXX Note Added: 0006289
2016-01-15 22:54 SXX Relationship added related to 0002286
2016-01-20 00:48 SXX Relationship added related to 0002388
2016-01-27 18:27 SXX File Added: grail1.h3m
2016-01-27 18:28 SXX File Added: grail2.h3m
2016-01-27 18:29 SXX Note Added: 0006372
2016-01-27 18:29 SXX Status new => resolved
2016-01-27 18:29 SXX Fixed in Version => 0.98g
2016-01-27 18:29 SXX Resolution open => fixed
2016-01-27 18:29 SXX Assigned To => vmarkovtsev

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean